({
    accuracy: 90,
    basePower: 120,
    category: "Physical",
    name: "Purity Foliage",
    pp: 5,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1, slicing: 1 },
    self: {
      onHit(pokemon) {
        pokemon.cureStatus();
        pokemon.removeVolatile("attract");
      },
      volatileStatus: "mustrecharge"
    },
    secondary: null,
    target: "normal",
    type: "Grass",
    contestType: "Beautiful"
  })